package com.fjhx.material.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.material.MaterialReceiving;
import com.fjhx.entity.material.MaterialReceivingDetails;
import com.fjhx.params.material.MaterialReceivingVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料接收 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-11
 */
public interface MaterialReceivingService extends BaseService<MaterialReceiving> {

    Page<MaterialReceiving> getPage(Map<String, String> condition);

    void add(MaterialReceivingVo materialReceivingVo);

    void edit(MaterialReceivingVo materialReceivingVo);

    void delete(MaterialReceivingVo materialReceivingVo);

    void submit(MaterialReceivingVo materialReceivingVo);

    List<Map<String, Object>> getList(MaterialReceivingVo materialReceivingVo);

    void operation(Condition condition);

    List<Map<String, Object>> flowDetails(Condition condition);

    void handleFlow(Condition condition);

    List<Map<String, Object>> toBeReceivedList(Condition condition);

    void ignore(MaterialReceivingDetails materialReceivingDetails);

}
